#!/usr/bin/env python
import user
import maker

import os

class Make(maker.BasicMake):
  def setupConfigure(self, framework):
    maker.BasicMake.setupConfigure(self, framework)
    framework.header = None
    framework.cHeader = None
    return 1

  def setupLibraryDirectories(self, builder):
    maker.BasicMake.setupLibraryDirectories(self, builder)
    self.srcDir['C']   = os.path.abspath(os.getcwd())
    self.srcDir['Cxx'] = os.path.abspath(os.getcwd())
    return

  def buildDynamicLibraries(self, builder):
    '''Have to override since he uses the same source file twice (jackass)'''
    maker.BasicMake.buildDynamicLibraries(self, builder)
    for lib in self.dylib.values():
      for language in lib.src:
        builder.shouldCompile.force([os.path.join(self.srcDir, self.srcDir[language], f) for f in lib.src[language]])
    return

  def buildExecutables(self, builder):
    '''Have to override since he uses the same source file twice (jackass)'''
    maker.BasicMake.buildExecutables(self, builder)
    for bin in self.bin.values():
      for language in bin.src:
        builder.shouldCompile.force([os.path.join(self.srcDir, self.srcDir[language], f) for f in bin.src[language]])
    return

def dylib_Tetgen_Library(maker):
  '''libtetgen: tetgen.h tetgen.cxx predicates.cxx'''
  return ([], [], ['-DTETLIBRARY'])

def bin_Tetgen_Executable(maker):
  '''tetgen : tetgen.cxx predicates.cxx'''
  return ([], maker.libraries.math)

if __name__ == '__main__':
  Make().run()
